Current user
GET
/api/me
const url = 'https://example.com/api/me';const options = {method: 'GET', headers: {'Remote-User': '<Remote-User>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/me \ --header 'Remote-User: <Remote-User>'Returns the authenticated forward-auth principal and instance facts.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”The current user.
Media typeapplication/json
object
user
required
string
is_admin
required
boolean
base_domain
required
string
mcp_enabled
boolean
versioning_enabled
Whether prior site versions are retained on replace and rollback is available.
boolean
Examplegenerated
{ "user": "example", "is_admin": true, "base_domain": "example", "mcp_enabled": true, "versioning_enabled": true}Missing or invalid credentials.
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}